## org.eclipse.emf.workspace.impl
Class EMFOperationTransaction

    java.lang.Object
      org.eclipse.emf.transaction.impl.TransactionImpl
          org.eclipse.emf.transaction.impl.EMFCommandTransaction
              org.eclipse.emf.workspace.impl.EMFOperationTransaction

All Implemented Interfaces:
  InternalTransaction, Transaction

    public class EMFOperationTransaction

extends EMFCommandTransaction

A specialized transaction implementation that knows the `EMFCommandOperation` that it supports. It is used to communicate trigger information back to the command operation to support undo/redo.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.transaction.Transaction
`Transaction.OptionMetadata`

Field Summary

Fields inherited from class org.eclipse.emf.transaction.impl.TransactionImpl
`ALLOW_CHANGE_PROPAGATION_BLOCKING, BLOCK_CHANGE_PROPAGATION, change, DEFAULT_UNDO_REDO_OPTIONS, notifications, OPTION_EXECUTING_COMMAND, OPTION_IS_TRIGGER_TRANSACTION`

Fields inherited from interface org.eclipse.emf.transaction.Transaction
`OPTION_IS_UNDO_REDO_TRANSACTION, OPTION_NO_NOTIFICATIONS, OPTION_NO_TRIGGERS, OPTION_NO_UNDO, OPTION_NO_VALIDATION, OPTION_UNPROTECTED, OPTION_VALIDATE_EDIT, OPTION_VALIDATE_EDIT_CONTEXT`

Constructor Summary
`EMFOperationTransaction(org.eclipse.emf.common.command.Command command, InternalTransactionalEditingDomain domain, Map<?,?> options)` Initializes me with the command, my editing domain, and my options.

Method Summary
`EMFCommandOperation` `getOperation()` Obtains the operation that wraps my command.
`void` `setOperation(EMFCommandOperation operation)` Sets the operation that wraps my command.

Methods inherited from class org.eclipse.emf.transaction.impl.EMFCommandTransaction
`getCommand`

Methods inherited from class org.eclipse.emf.transaction.impl.TransactionImpl

`abort, add, addTriggers, close, collectsNotifications, commit, endPrivileged, getChangeDescription, getDefaultOptions, getEditingDomain, getInternalDomain, getLifecycle, getNotifications, getOptions, getOwner, getParent, getRoot, getStatus, getTriggers, hasOption, isAborted, isActive, isNotificationEnabled, isReadOnly, isRollingBack, isTriggerEnabled, isUndoEnabled, isUnprotected, isValidationEnabled, pause, resume, rollback, setParent, setStatus, start, startPrivileged, toString, validate, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EMFOperationTransaction

    public EMFOperationTransaction(org.eclipse.emf.common.command.Command command,
                                   InternalTransactionalEditingDomain domain,
                                   Map<?,?> options)

  Initializes me with the command, my editing domain, and my options.

  Parameters:
    `command` - a command that is being wrapped in an `EMFCommandOperation`
    `domain` - my editing domain
    `options` - my options

Method Detail

### getOperation

    public EMFCommandOperation getOperation()

  Obtains the operation that wraps my command.

  Returns:
    my operation

### setOperation

    public void setOperation(EMFCommandOperation operation)

  Sets the operation that wraps my command.

  Parameters:
    `operation` - my operation

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.